package com.gingersoft.gsa.cloud.print.bean.adapter;

import com.gingersoft.gsa.cloud.common.core.delivery.OrderDetails;
import com.gingersoft.gsa.cloud.common.core.settlement.SettlementReport;
import com.gingersoft.gsa.cloud.common.core.table.TableBean;
import com.gingersoft.gsa.cloud.order.order.MealOrder;
import com.gingersoft.gsa.cloud.print.bean.PrintContent;

/**
 * @author : bin
 * @create date: 2020-12-01
 * @update date: 2020-12-01
 * @description:
 */
public interface AdaptationContent {

    PrintContent adaptationQRCode();

    PrintContent adaptationPrintTakeawayCheckoutContent(OrderDetails.DataBean data);

    PrintContent adaptationPrintTakeawayFormContent(OrderDetails.DataBean data);

    PrintContent adaptationPrintCleanMachineContent(SettlementReport settlementReport);

    PrintContent adaptationPrintSlipContent(MealOrder mealOrder, TableBean.DataBean tableBean);

    PrintContent adaptationSendOrderPaperContent(MealOrder mealOrder, TableBean.DataBean tableBean);

    PrintContent adaptationServingPaperContent(MealOrder mealOrder, TableBean.DataBean tableBean);

    PrintContent adaptationBillContent(MealOrder mealOrder, TableBean.DataBean tableBean);
}
